.layout {
  padding: 0px 0px 32px 0px !important;
  /* justify-content: start; */
  display: flex;
  align-items: start;
  flex-direction: row-reverse;

  /* align-items: start; */
  /* flex-direction: column; */
}

.main_article {
  flex-basis: 100%;
}

/* header_work */
.header_work {
  position: relative;
  width: 100%;
}

.header_work img {
  width: 100%;
  position: relative;
  object-fit: cover;
  z-index: -1;
  height: 450px;
}

/* .header_info {
  display: flex;
  position: absolute;
  z-index: 999;
  align-items: center;
  justify-content: space-between;
  left: 50%;
  width: 1200px;
  bottom: -64px;
  padding: 52px 42px;
  gap: 14px;
  transform: translate(-50%, 0);
  color: var(--white);
  border-radius: 2px;
  background-color: var(--black);
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.header_info > div {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.header_info h4 {
  font-size: 18px;
  font-family: 'cairo-medium';
  font-weight: 500;
}

.header_info a {
  border: 0;
  outline: 0;
  color: var(--black);
  background-color: var(--secondary-color);
  font-size: 16px;
  padding: 10px 16px;
  cursor: pointer;
  border-radius: 2px;
}

.header_info a:hover {
  font-weight: 600;
} */

.blocks {
  display: flex;
  width: 100%;
  flex-direction: column;
  /* margin: 0 auto; */
  width: 800px;
}

/* header_article */
.header_article {
  display: flex;
  width: 100%;
  padding: 32px 0 0px 0px;
  flex-direction: column;
  /* margin: 0 auto; */
  width: 800px;
}

.header_article > p:first-child {
  background-color: var(--primary-color);
  color: var(--white);
  border-radius: 2px;
  padding: 6px 12px;
  margin-bottom: 16px;
  font-weight: 500;
  width: fit-content;
}

.header_article > h1 {
  font-size: 36px;
  line-height: 120%;
  margin-bottom: 16px;
}

.author_date {
  display: flex;
  align-items: center;
  color: #696a75;
  gap: 24px;
  margin-bottom: 24px;
}

.author_date > div {
  display: flex;
  align-items: center;
  gap: 10px;
}

.author_date > div img {
  border: 1px solid #696a75;
  border-radius: 100%;
}

.image_photo_article {
  border-radius: 12px;
  margin-bottom: 32px;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

/* table_content */
.table_content {
  gap: 16px;
  padding: 16px;
  position: sticky;
  display: flex;
  margin-top: 32px;
  top: 20px;
  left: 0;
  flex-direction: column;
  border-radius: 8px;
  border: 1px solid var(--black);
  background-color: var(--white);
  width: 235px;
}

.table_content_container {
  position: relative;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: start;
  flex-basis: calc(100% - 1008px);
}

.table_content_child {
  display: flex;
  flex-direction: column;

  gap: 3px;
}

.table_content_child a {
  color: #5e6a86;
  text-transform: capitalize;
}

.table_content_child a:hover {
  color: #8192b8;
}

@media screen and (max-width: 1400px) {
  .table_content_container {
    flex-basis: calc(100% - 800px);
  }
}

@media screen and (max-width: 1338px) {
  /* .table_content {
    display: none;
  } */
}

@media screen and (max-width: 1250px) {
  .blocks,
  .header_info,
  .header_article {
    width: 100%;
  }

  .image_photo_article {
    width: 100%;
  }

  .blocks,
  .header_article {
    padding: 0px 24px 0px 24px;
  }

  .header_article {
    padding-top: 32px;
  }

  .header_info {
    flex-wrap: wrap;
  }
}

@media screen and (max-width: 990px) {
  .header_info {
    padding: 30px 20px;
    gap: 20px;
    align-items: center;
  }
}

@media screen and (max-width: 950px) {
  .table_content_container {
    display: none;
  }
}

@media screen and (max-width: 800px) {
  .header_work img {
    height: 0px;
  }

  .header_info {
    position: relative;
    bottom: 30px;
  }

  .blocks {
    padding: 10px 20px 0px 20px;
  }

  h1 {
    font-size: 24px !important; /* Example size for h1 */
  }
  h2 {
    font-size: 22px !important; /* Example size for h2 */
  }
  h3 {
    font-size: 20px !important; /* Example size for h3 */
  }
  h4 {
    font-size: 18px !important; /* Example size for h4 */
  }
  h5 {
    font-size: 16px !important;
  }
  h6 {
    font-size: 14px !important;
  }
}

@media screen and (max-width: 500px) {
  .header_info {
    justify-content: center;
    text-align: center;
    flex-direction: column;
  }

  .blocks,
  .header_article {
    padding-inline: 16px;
  }
}
